=== modified file 'bzrlib/plugins/launchpad/lp_registration.py'
--- bzrlib/plugins/launchpad/lp_registration.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/lp_registration.py	2010-11-26 17:33:55 +0000
@@ -86,7 +86,6 @@
 
     LAUNCHPAD_DOMAINS = {
         'production': 'launchpad.net',
-        'edge': 'edge.launchpad.net',
         'staging': 'staging.launchpad.net',
         'demo': 'demo.launchpad.net',
         'dev': 'launchpad.dev',
@@ -98,7 +97,8 @@
     for instance, domain in LAUNCHPAD_DOMAINS.iteritems():
         LAUNCHPAD_INSTANCE[instance] = 'https://xmlrpc.%s/bazaar/' % domain
 
-    # Previously 'edge' was used to avoid a launchpad bug with redirection
+    # We use production as the default because edge has been deprecated circa
+    # 2010-11 (see bug https://bugs.launchpad.net/bzr/+bug/583667)
     DEFAULT_INSTANCE = 'production'
     DEFAULT_SERVICE_URL = LAUNCHPAD_INSTANCE[DEFAULT_INSTANCE]
 

=== modified file 'bzrlib/plugins/launchpad/test_lp_service.py'
--- bzrlib/plugins/launchpad/test_lp_service.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/test_lp_service.py	2010-11-26 17:33:55 +0000
@@ -54,11 +54,6 @@
         self.assertEqual('https://xmlrpc.staging.launchpad.net/bazaar/',
                          service.service_url)
 
-    def test_edge_service(self):
-        service = LaunchpadService(lp_instance='edge')
-        self.assertEqual('https://xmlrpc.edge.launchpad.net/bazaar/',
-                         service.service_url)
-
     def test_dev_service(self):
         service = LaunchpadService(lp_instance='dev')
         self.assertEqual('https://xmlrpc.launchpad.dev/bazaar/',
@@ -171,13 +166,6 @@
         self.assertEqual(
             'https://code.staging.launchpad.net/~foo/bar/baz', web_url)
 
-    def test_edge_url(self):
-        service = LaunchpadService(lp_instance='edge')
-        web_url = service.get_web_url_from_branch_url(
-            'bzr+ssh://bazaar.launchpad.net/~foo/bar/baz')
-        self.assertEqual(
-            'https://code.edge.launchpad.net/~foo/bar/baz', web_url)
-
     def test_dev_url(self):
         service = LaunchpadService(lp_instance='dev')
         web_url = service.get_web_url_from_branch_url(

=== modified file 'bzrlib/plugins/launchpad/test_register.py'
--- bzrlib/plugins/launchpad/test_register.py	2010-05-20 18:23:10 +0000
+++ bzrlib/plugins/launchpad/test_register.py	2010-11-26 17:33:55 +0000
@@ -175,7 +175,7 @@
         self.assertEquals(out, 'Branch registered.\n')
 
     def test_onto_transport(self):
-        """Test how the request is sent by transmitting across a mock Transport"""
+        """How the request is sent by transmitting across a mock Transport"""
         # use a real transport, but intercept at the http/xml layer
         transport = InstrumentedXMLRPCTransport(self, expect_auth=True)
         service = LaunchpadService(transport)
@@ -200,7 +200,7 @@
         self.assertTrue(transport.got_request)
 
     def test_onto_transport_unauthenticated(self):
-        """Test how an unauthenticated request is transmitted across a mock Transport"""
+        """An unauthenticated request is transmitted across a mock Transport"""
         transport = InstrumentedXMLRPCTransport(self, expect_auth=False)
         service = LaunchpadService(transport)
         resolve = ResolveLaunchpadPathRequest('bzr')

=== modified file 'bzrlib/tests/test_lockdir.py'
--- bzrlib/tests/test_lockdir.py	2010-09-27 07:24:54 +0000
+++ bzrlib/tests/test_lockdir.py	2010-11-26 17:33:55 +0000
@@ -741,7 +741,7 @@
     def test_corrupt_lockdir_info(self):
         """We can cope with corrupt (and thus unparseable) info files."""
         # This seems like a fairly common failure case too - see
-        # <https://bugs.edge.launchpad.net/bzr/+bug/619872> for instance.
+        # <https://bugs.launchpad.net/bzr/+bug/619872> for instance.
         # In particular some systems tend to fill recently created files with
         # nul bytes after recovering from a system crash.
         t = self.get_transport()

=== modified file 'doc/en/release-notes/bzr-2.2.txt'
--- doc/en/release-notes/bzr-2.2.txt	2010-11-26 15:57:20 +0000
+++ doc/en/release-notes/bzr-2.2.txt	2010-11-26 17:59:08 +0000
@@ -5,6 +5,42 @@
 .. toctree::
    :maxdepth: 1
 
+bzr 2.2.3
+#########
+
+:2.2.3: NOT RELEASED YET
+
+Compatibility Breaks
+********************
+
+* The ``edge.launchpad.net`` server has been deprecated and all references to
+  it have been removed from the code base. This ensures that users upgrading
+  to bzr 2.0.7 or better will never try to contact the 'edge' server. Users of
+  previous versions can workaround connection problems by setting the
+  ``BZR_LP_XMLRPC_URL`` environment variable to
+  ``http://xmlrpc.launchpad.net/bazaar/``.  (Vincent Ladeuil, #583667)
+
+New Features
+************
+
+Bug Fixes
+*********
+
+Improvements
+************
+
+Documentation
+*************
+
+API Changes
+***********
+
+Internals
+*********
+
+Testing
+*******
+
 bzr 2.2.2
 #########
 

=== modified file 'doc/en/release-notes/bzr-2.3.txt'
--- doc/en/release-notes/bzr-2.3.txt	2010-11-26 15:57:20 +0000
+++ doc/en/release-notes/bzr-2.3.txt	2010-11-26 17:59:08 +0000
@@ -15,6 +15,13 @@
 
 .. These may require users to change the way they use Bazaar.
 
+* The ``edge.launchpad.net`` server has been deprecated and all references to
+  it have been removed from the code base. This ensures that users upgrading
+  to bzr 2.0.7 or better will never try to contact the 'edge' server. Users of
+  previous versions can workaround connection problems by setting the
+  ``BZR_LP_XMLRPC_URL`` environment variable to
+  ``http://xmlrpc.launchpad.net/bazaar/``.  (Vincent Ladeuil, #583667)
+
 New Features
 ************
 

=== modified file 'setup.py'
--- setup.py	2010-11-10 11:15:50 +0000
+++ setup.py	2010-11-26 17:59:08 +0000
@@ -291,11 +291,11 @@
         # The code it generates re-uses a "local" pointer and
         # calls "PY_DECREF" after having set it to NULL. (It mixes PY_XDECREF
         # which is NULL safe with PY_DECREF which is not.)
-        # <https://bugs.edge.launchpad.net/bzr/+bug/449372>
-        # <https://bugs.edge.launchpad.net/bzr/+bug/276868>
+        # <https://bugs.launchpad.net/bzr/+bug/449372>
+        # <https://bugs.launchpad.net/bzr/+bug/276868>
         print('Cannot build extension "bzrlib._dirstate_helpers_pyx" using')
-        print('your version of pyrex "%s". Please upgrade your pyrex' % (
-            pyrex_version,))
+        print('your version of pyrex "%s". Please upgrade your pyrex'
+              % (pyrex_version,))
         print('install. For now, the non-compiled (python) version will')
         print('be used instead.')
     else:

